Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rim
Class EventTypeType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.ebxml._2._1.rim.EventTypeType

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class EventTypeType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Event Type Type', and utility methods for working with them.

See Also:
  `RimPackage.getEventTypeType()`

Field Summary
`static int` | `CREATED` The 'Created' literal value.
`static EventTypeType` | `CREATED_LITERAL` The 'Created' literal object.
`static int` | `DELETED` The 'Deleted' literal value.
`static EventTypeType` | `DELETED_LITERAL` The 'Deleted' literal object.
`static int` | `DEPRECATED` The 'Deprecated' literal value.
`static EventTypeType` | `DEPRECATED_LITERAL` The 'Deprecated' literal object.
`static int` | `UPDATED` The 'Updated' literal value.
`static EventTypeType` | `UPDATED_LITERAL` The 'Updated' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Event Type Type' enumerators.
`static int` | `VERSIONED` The 'Versioned' literal value.
`static EventTypeType` | `VERSIONED_LITERAL` The 'Versioned' literal object.

Method Summary
`static EventTypeType` | `get(int value)` Returns the 'Event Type Type' literal with the specified integer value.
`static EventTypeType` | `get(java.lang.String literal)` Returns the 'Event Type Type' literal with the specified literal value.
`static EventTypeType` | `getByName(java.lang.String name)` Returns the 'Event Type Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CREATED

    public static final int CREATED

  The 'Created' literal value.

  If the meaning of 'Created' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CREATED_LITERAL`, Constant Field Values

### DELETED

    public static final int DELETED

  The 'Deleted' literal value.

  If the meaning of 'Deleted' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DELETED_LITERAL`, Constant Field Values

### DEPRECATED

    public static final int DEPRECATED

  The 'Deprecated' literal value.

  If the meaning of 'Deprecated' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DEPRECATED_LITERAL`, Constant Field Values

### UPDATED

    public static final int UPDATED

  The 'Updated' literal value.

  If the meaning of 'Updated' literal object isn't clear, there really should be more of a description here...

  See Also:
    `UPDATED_LITERAL`, Constant Field Values

### VERSIONED

    public static final int VERSIONED

  The 'Versioned' literal value.

  If the meaning of 'Versioned' literal object isn't clear, there really should be more of a description here...

  See Also:
    `VERSIONED_LITERAL`, Constant Field Values

### CREATED_LITERAL

    public static final EventTypeType CREATED_LITERAL

  The 'Created' literal object.

  See Also:
    `CREATED`

### DELETED_LITERAL

    public static final EventTypeType DELETED_LITERAL

  The 'Deleted' literal object.

  See Also:
    `DELETED`

### DEPRECATED_LITERAL

    public static final EventTypeType DEPRECATED_LITERAL

  The 'Deprecated' literal object.

  See Also:
    `DEPRECATED`

### UPDATED_LITERAL

    public static final EventTypeType UPDATED_LITERAL

  The 'Updated' literal object.

  See Also:
    `UPDATED`

### VERSIONED_LITERAL

    public static final EventTypeType VERSIONED_LITERAL

  The 'Versioned' literal object.

  See Also:
    `VERSIONED`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Event Type Type' enumerators.

Method Detail

### get

    public static EventTypeType get(java.lang.String literal)

  Returns the 'Event Type Type' literal with the specified literal value.

### getByName

    public static EventTypeType getByName(java.lang.String name)

  Returns the 'Event Type Type' literal with the specified name.

### get

    public static EventTypeType get(int value)

  Returns the 'Event Type Type' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD